# Uses of Class
java.time.Instant

Packages that use Instant
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
java.security
Provides the classes and interfaces for the security framework.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.time
The main API for dates, times, instants, and durations.
java.time.chrono
Generic API for calendar systems other than the default ISO.
java.time.zone
Support for time-zones and their rules.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of Instant in java.lang

Methods in java.lang that return types with arguments of type Instant
Modifier and Type
Method
Description
`Optional<Instant>`
ProcessHandle.Info.`startInstant()`
Returns the start time of the process.

## Uses of Instant in java.nio.file.attribute

Methods in java.nio.file.attribute that return Instant
Modifier and Type
Method
Description
`Instant`
FileTime.`toInstant()`
Converts this `FileTime` object to an `Instant`.
Methods in java.nio.file.attribute with parameters of type Instant
Modifier and Type
Method
Description
`static FileTime`
FileTime.`from(Instant instant)`
Returns a `FileTime` representing the same point of time value on the time-line as the provided `Instant` object.

## Uses of Instant in java.security

Methods in java.security that return Instant
Modifier and Type
Method
Description
`Instant`
KeyStoreSpi.`engineGetCreationInstant(String alias)`
Returns the instant that the entry identified by the given alias was created.
`final Instant`
KeyStore.`getCreationInstant(String alias)`
Returns the instant that the entry identified by the given alias was created.

## Uses of Instant in java.sql

Methods in java.sql that return Instant
Modifier and Type
Method
Description
`Instant`
Date.`toInstant()`
This method always throws an UnsupportedOperationException and should not be used because SQL `Date` values do not have a time component.
`Instant`
Time.`toInstant()`
This method always throws an UnsupportedOperationException and should not be used because SQL `Time` values do not have a date component.
`Instant`
Timestamp.`toInstant()`
Converts this `Timestamp` object to an `Instant`.
Methods in java.sql with parameters of type Instant
Modifier and Type
Method
Description
`static Timestamp`
Timestamp.`from(Instant instant)`
Obtains an instance of `Timestamp` from an `Instant` object.

## Uses of Instant in java.time

Classes in java.time that implement interfaces with type arguments of type Instant
Modifier and Type
Class
Description
`final class`
`Instant`
An instantaneous point on the time-line.
Fields in java.time declared as Instant
Modifier and Type
Field
Description
`static final Instant`
Instant.`EPOCH`
Constant for the 1970-01-01T00:00:00Z epoch instant.
`static final Instant`
Instant.`MAX`
The maximum supported `Instant`, '1000000000-12-31T23:59:59.999999999Z'.
`static final Instant`
Instant.`MIN`
The minimum supported `Instant`, '-1000000000-01-01T00:00Z'.
Methods in java.time that return Instant
Modifier and Type
Method
Description
`static Instant`
Instant.`from(TemporalAccessor temporal)`
Obtains an instance of `Instant` from a temporal object.
`abstract Instant`
Clock.`instant()`
Gets the current instant of the clock.
`Instant`
InstantSource.`instant()`
Gets the current instant of the source.
`Instant`
Instant.`minus(long amountToSubtract, TemporalUnit unit)`
Returns a copy of this instant with the specified amount subtracted.
`Instant`
Instant.`minus(TemporalAmount amountToSubtract)`
Returns a copy of this instant with the specified amount subtracted.
`Instant`
Instant.`minusMillis(long millisToSubtract)`
Returns a copy of this instant with the specified duration in milliseconds subtracted.
`Instant`
Instant.`minusNanos(long nanosToSubtract)`
Returns a copy of this instant with the specified duration in nanoseconds subtracted.
`Instant`
Instant.`minusSeconds(long secondsToSubtract)`
Returns a copy of this instant with the specified duration in seconds subtracted.
`static Instant`
Instant.`now()`
Obtains the current instant from the system clock.
`static Instant`
Instant.`now(Clock clock)`
Obtains the current instant from the specified clock.
`static Instant`
Instant.`ofEpochMilli(long epochMilli)`
Obtains an instance of `Instant` using milliseconds from the epoch of 1970-01-01T00:00:00Z.
`static Instant`
Instant.`ofEpochSecond(long epochSecond)`
Obtains an instance of `Instant` using seconds from the epoch of 1970-01-01T00:00:00Z.
`static Instant`
Instant.`ofEpochSecond(long epochSecond, long nanoAdjustment)`
Obtains an instance of `Instant` using seconds from the epoch of 1970-01-01T00:00:00Z and nanosecond fraction of second.
`static Instant`
Instant.`parse(CharSequence text)`
Obtains an instance of `Instant` from a text string such as `2007-12-03T10:15:30.00Z`.
`Instant`
Instant.`plus(long amountToAdd, TemporalUnit unit)`
Returns a copy of this instant with the specified amount added.
`Instant`
Instant.`plus(TemporalAmount amountToAdd)`
Returns a copy of this instant with the specified amount added.
`Instant`
Instant.`plusMillis(long millisToAdd)`
Returns a copy of this instant with the specified duration in milliseconds added.
`Instant`
Instant.`plusNanos(long nanosToAdd)`
Returns a copy of this instant with the specified duration in nanoseconds added.
`Instant`
Instant.`plusSaturating(Duration duration)`
Returns a copy of this instant with the specified duration added, with saturated semantics.
`Instant`
Instant.`plusSeconds(long secondsToAdd)`
Returns a copy of this instant with the specified duration in seconds added.
`Instant`
OffsetDateTime.`toInstant()`
Converts this date-time to an `Instant`.
`Instant`
Instant.`truncatedTo(TemporalUnit unit)`
Returns a copy of this `Instant` truncated to the specified unit.
`Instant`
Instant.`with(TemporalAdjuster adjuster)`
Returns an adjusted copy of this instant.
`Instant`
Instant.`with(TemporalField field, long newValue)`
Returns a copy of this instant with the specified field set to a new value.
Methods in java.time with parameters of type Instant
Modifier and Type
Method
Description
`int`
Instant.`compareTo(Instant otherInstant)`
Compares this instant to the specified instant.
`static Clock`
Clock.`fixed(Instant fixedInstant, ZoneId zone)`
Obtains a clock that always returns the same instant.
`static InstantSource`
InstantSource.`fixed(Instant fixedInstant)`
Obtains a source that always returns the same instant.
`boolean`
Instant.`isAfter(Instant otherInstant)`
Checks if this instant is after the specified instant.
`boolean`
Instant.`isBefore(Instant otherInstant)`
Checks if this instant is before the specified instant.
`static LocalDate`
LocalDate.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `LocalDate` from an `Instant` and zone ID.
`static LocalDateTime`
LocalDateTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `LocalDateTime` from an `Instant` and zone ID.
`static LocalTime`
LocalTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `LocalTime` from an `Instant` and zone ID.
`static OffsetDateTime`
OffsetDateTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `OffsetDateTime` from an `Instant` and zone ID.
`static OffsetTime`
OffsetTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `OffsetTime` from an `Instant` and zone ID.
`static ZonedDateTime`
ZonedDateTime.`ofInstant(Instant instant, ZoneId zone)`
Obtains an instance of `ZonedDateTime` from an `Instant`.
`Duration`
Instant.`until(Instant endExclusive)`
Calculates the `Duration` until another `Instant`.

## Uses of Instant in java.time.chrono

Methods in java.time.chrono that return Instant
Modifier and Type
Method
Description
`default Instant`
ChronoLocalDateTime.`toInstant(ZoneOffset offset)`
Converts this date-time to an `Instant`.
`default Instant`
ChronoZonedDateTime.`toInstant()`
Converts this date-time to an `Instant`.
Methods in java.time.chrono with parameters of type Instant
Modifier and Type
Method
Description
`default ChronoZonedDateTime<? extends ChronoLocalDate>`
Chronology.`zonedDateTime(Instant instant, ZoneId zone)`
Obtains a `ChronoZonedDateTime` in this chronology from an `Instant`.
`ChronoZonedDateTime<HijrahDate>`
HijrahChronology.`zonedDateTime(Instant instant, ZoneId zone)`
`ZonedDateTime`
IsoChronology.`zonedDateTime(Instant instant, ZoneId zone)`
Obtains an ISO zoned date-time in this chronology from an `Instant`.
`ChronoZonedDateTime<JapaneseDate>`
JapaneseChronology.`zonedDateTime(Instant instant, ZoneId zone)`
`ChronoZonedDateTime<MinguoDate>`
MinguoChronology.`zonedDateTime(Instant instant, ZoneId zone)`
`ChronoZonedDateTime<ThaiBuddhistDate>`
ThaiBuddhistChronology.`zonedDateTime(Instant instant, ZoneId zone)`

## Uses of Instant in java.time.zone

Methods in java.time.zone that return Instant
Modifier and Type
Method
Description
`Instant`
ZoneOffsetTransition.`getInstant()`
Gets the transition instant.
Methods in java.time.zone with parameters of type Instant
Modifier and Type
Method
Description
`Duration`
ZoneRules.`getDaylightSavings(Instant instant)`
Gets the amount of daylight savings in use for the specified instant in this zone.
`ZoneOffset`
ZoneRules.`getOffset(Instant instant)`
Gets the offset applicable at the specified instant in these rules.
`ZoneOffset`
ZoneRules.`getStandardOffset(Instant instant)`
Gets the standard offset for the specified instant in this zone.
`boolean`
ZoneRules.`isDaylightSavings(Instant instant)`
Checks if the specified instant is in daylight savings.
`ZoneOffsetTransition`
ZoneRules.`nextTransition(Instant instant)`
Gets the next transition after the specified instant.
`ZoneOffsetTransition`
ZoneRules.`previousTransition(Instant instant)`
Gets the previous transition before the specified instant.

## Uses of Instant in java.util

Methods in java.util that return Instant
Modifier and Type
Method
Description
`final Instant`
Calendar.`toInstant()`
Converts this object to an `Instant`.
`Instant`
Date.`toInstant()`
Converts this `Date` object to an `Instant`.
Methods in java.util with parameters of type Instant
Modifier and Type
Method
Description
`static Date`
Date.`from(Instant instant)`
Obtains an instance of `Date` from an `Instant` object.

## Uses of Instant in java.util.logging

Methods in java.util.logging that return Instant
Modifier and Type
Method
Description
`Instant`
LogRecord.`getInstant()`
Gets the instant that the event occurred.
Methods in java.util.logging with parameters of type Instant
Modifier and Type
Method
Description
`void`
LogRecord.`setInstant(Instant instant)`
Sets the instant that the event occurred.

## Uses of Instant in jdk.jfr

Methods in jdk.jfr that return Instant
Modifier and Type
Method
Description
`Instant`
Recording.`getStartTime()`
Returns the time when this recording was started.
`Instant`
Recording.`getStopTime()`
Returns the time when this recording was stopped.
Methods in jdk.jfr with parameters of type Instant
Modifier and Type
Method
Description
`InputStream`
Recording.`getStream(Instant start, Instant end)`
Creates a data stream for a specified interval.

## Uses of Instant in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return Instant
Modifier and Type
Method
Description
`Instant`
RecordedEvent.`getEndTime()`
Returns the end time of the event.
`final Instant`
RecordedObject.`getInstant(String name)`
Returns the value of a timestamp field.
`Instant`
RecordedEvent.`getStartTime()`
Returns the start time of the event.
Methods in jdk.jfr.consumer with parameters of type Instant
Modifier and Type
Method
Description
`void`
EventStream.`setEndTime(Instant endTime)`
Specifies the end time of the stream.
`void`
RecordingStream.`setEndTime(Instant endTime)`
`void`
EventStream.`setStartTime(Instant startTime)`
Specifies the start time of the stream.
`void`
RecordingStream.`setStartTime(Instant startTime)`

## Uses of Instant in jdk.management.jfr

Methods in jdk.management.jfr with parameters of type Instant
Modifier and Type
Method
Description
`void`
RemoteRecordingStream.`setEndTime(Instant endTime)`
`void`
RemoteRecordingStream.`setStartTime(Instant startTime)`